---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Available transaction details

# Available transaction details {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

The Script Debugger provides a
standard set of transaction details for developers to debug and troubleshoot
scripts.
{#available-transaction-details__table-available-transaction-details__entry__2}

| Transaction element | Description |
|-|-|
| url | The URL of the currently paused transaction. |
| Request parameters | The list of request parameters for this transaction. Each transaction has its own list of request parameters, but record transactions typically include the field values used to insert, update, or delete a record. |
| instance | The instance name. |
| address | The IP address of the end-user client system. |
| session | The user session ID. |
| forward | The IP address of the load balancer. |
| query count | The number of database queries the Script Debugger has made. |
| thread | The name of the thread running the Script Debugger instance. |
| transactionid | The Sys ID of the current transaction. |
| token | The Script Debugger token of the currently paused transaction. The system uses this token to identify different Script Debugger instances. |
| name | The name of the currently paused transaction. You can use this name to identify transactions in the logs. |
| processor | The name of the processor processing the current transaction, if present. |
| method | The HTTP request method the currently paused transaction uses. |
| startTime | The date-time stamp when the Script Debugger instance started. |
| page | The current table or UI page associated with the transaction. |
| user | The user who triggered the debug transaction. |
| nodeid | The Sys ID of the node running the Script Debugger instance. |
[Table 1. Available transaction details]

{#available-transaction-details__table-available-transaction-details}
**Related concepts**   

* [Transaction details](https://servicenow-prod.fluidtopics.net/gkmIYUoODyZyx0kuf9i_7g "The Script Debugger displays transaction details for the current paused user session.")

